/[BackupPC]/upstream/2.1.0/init.d/src/debian-backuppc
This is repository of my old source code which isn't updated any more. Go to git.rot13.org for current projects!
ViewVC logotype

Contents of /upstream/2.1.0/init.d/src/debian-backuppc

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1 - (show annotations)
Wed Jun 22 19:12:04 2005 UTC (18 years, 9 months ago) by dpavlin
File size: 1240 byte(s)
import of version 2.1.0

1 #!/bin/sh
2 #
3 # DESCRIPTION
4 #
5 # Startup init script for BackupPC on Debian.
6 #
7 # Distributed with BackupPC version 2.1.0, released 20 Jun 2004.
8 #
9
10 set -e
11
12 #
13 BINDIR=__INSTALLDIR__/bin
14 DATADIR=__TOPDIR__
15 USER=__BACKUPPCUSER__
16 #
17 NAME=backuppc
18 DAEMON=BackupPC
19
20 test -x $BINDIR/$DAEMON || exit 0
21
22 case "$1" in
23 start)
24 echo -n "Starting $NAME: "
25 start-stop-daemon --start --pidfile $DATADIR/log/BackupPC.pid \
26 -c $USER --exec $BINDIR/$DAEMON -- -d
27 echo "ok."
28 ;;
29 stop)
30 echo -n "Stopping $NAME: "
31 start-stop-daemon --stop --pidfile $DATADIR/log/BackupPC.pid -u $USER \
32 --oknodo --retry 30 -x /usr/bin/perl
33 echo "ok."
34 ;;
35 restart)
36 echo -n "Restarting $NAME: "
37 start-stop-daemon --stop --pidfile $DATADIR/log/BackupPC.pid -u $USER \
38 --oknodo --retry 30 -x /usr/bin/perl
39 start-stop-daemon --start --pidfile $DATADIR/log/BackupPC.pid \
40 -c $USER --exec $BINDIR/$DAEMON -- -d
41 echo "ok."
42 ;;
43 reload|force-reload)
44 echo "Reloading $NAME configuration files"
45 start-stop-daemon --stop --pidfile $DATADIR/log/BackupPC.pid \
46 --signal 1 -x /usr/bin/perl
47 ;;
48 *)
49 echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload}"
50 exit 1
51 ;;
52 esac
53
54 exit 0

Properties

Name Value
svn:executable

  ViewVC Help
Powered by ViewVC 1.1.26